package domaintest

import (
	"gitea.dwysokinski.me/twhelp/corev3/internal/domain"
	"github.com/brianvoe/gofakeit/v6"
	"github.com/stretchr/testify/require"
)

func NewOpponentsDefeated(tb TestingTB) domain.OpponentsDefeated {
	tb.Helper()
	cfg, err := domain.NewOpponentsDefeated(
		gofakeit.IntRange(1, 100),
		gofakeit.IntRange(100000, 1000000),
		gofakeit.IntRange(1, 100),
		gofakeit.IntRange(100000, 1000000),
		gofakeit.IntRange(1, 100),
		gofakeit.IntRange(100000, 1000000),
		gofakeit.IntRange(1, 100),
		gofakeit.IntRange(100000, 1000000),
	)
	require.NoError(tb, err)
	return cfg
}
