package app

import (
	"context"

	"gitea.dwysokinski.me/twhelp/corev3/internal/domain"
)

type ServerPublisher interface {
	CmdSync(ctx context.Context, payloads ...domain.SyncServersCmdPayload) error
	EventSynced(ctx context.Context, payloads ...domain.ServerSyncedEventPayload) error
}
